umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Ui_CodeViewerOptionsBase Class Reference

`#include <ui_codevieweroptionsbase.h>`

Inheritance diagram for Ui_CodeViewerOptionsBase:

## Public Member Functions
void | setupUi (QWidget *CodeViewerOptionsBase)
void | retranslateUi (QWidget *CodeViewerOptionsBase)

## Public Attributes
QGridLayout * | gridLayout
KFontChooser * | fontChooser
QGroupBox * | colorGroupBox
QGridLayout * | gridLayout1
QGridLayout * | gridLayout2
QLabel * | fontLabel
KColorButton * | selectColorButton
QLabel * | paperLabel
KColorButton * | paperColorButton
QLabel * | selectedLabel
KColorButton * | fontColorButton
QGridLayout * | gridLayout3
KColorButton * | nonEditBlockColorButton
QGridLayout * | gridLayout4
KColorButton * | m_hiddenBlockColorButton
KColorButton * | umlObjectColorButton
QLabel * | textLabel1
QLabel * | textLabel1_2
QLabel * | textLabel2
KColorButton * | editBlockColorButton
QLabel * | textLabel3

## Member Function Documentation

## ◆ retranslateUi()

void Ui_CodeViewerOptionsBase::retranslateUi | ( | QWidget * | CodeViewerOptionsBase | ) |
| inline

## ◆ setupUi()

void Ui_CodeViewerOptionsBase::setupUi | ( | QWidget * | CodeViewerOptionsBase | ) |
| inline

## Member Data Documentation

## ◆ colorGroupBox

QGroupBox* Ui_CodeViewerOptionsBase::colorGroupBox

## ◆ editBlockColorButton

KColorButton* Ui_CodeViewerOptionsBase::editBlockColorButton

## ◆ fontChooser

KFontChooser* Ui_CodeViewerOptionsBase::fontChooser

## ◆ fontColorButton

KColorButton* Ui_CodeViewerOptionsBase::fontColorButton

## ◆ fontLabel

QLabel* Ui_CodeViewerOptionsBase::fontLabel

## ◆ gridLayout

QGridLayout* Ui_CodeViewerOptionsBase::gridLayout

## ◆ gridLayout1

QGridLayout* Ui_CodeViewerOptionsBase::gridLayout1

## ◆ gridLayout2

QGridLayout* Ui_CodeViewerOptionsBase::gridLayout2

## ◆ gridLayout3

QGridLayout* Ui_CodeViewerOptionsBase::gridLayout3

## ◆ gridLayout4

QGridLayout* Ui_CodeViewerOptionsBase::gridLayout4

## ◆ m_hiddenBlockColorButton

KColorButton* Ui_CodeViewerOptionsBase::m_hiddenBlockColorButton

## ◆ nonEditBlockColorButton

KColorButton* Ui_CodeViewerOptionsBase::nonEditBlockColorButton

## ◆ paperColorButton

KColorButton* Ui_CodeViewerOptionsBase::paperColorButton

## ◆ paperLabel

QLabel* Ui_CodeViewerOptionsBase::paperLabel

## ◆ selectColorButton

KColorButton* Ui_CodeViewerOptionsBase::selectColorButton

## ◆ selectedLabel

QLabel* Ui_CodeViewerOptionsBase::selectedLabel

## ◆ textLabel1

QLabel* Ui_CodeViewerOptionsBase::textLabel1

## ◆ textLabel1_2

QLabel* Ui_CodeViewerOptionsBase::textLabel1_2

## ◆ textLabel2

QLabel* Ui_CodeViewerOptionsBase::textLabel2

## ◆ textLabel3

QLabel* Ui_CodeViewerOptionsBase::textLabel3

## ◆ umlObjectColorButton

KColorButton* Ui_CodeViewerOptionsBase::umlObjectColorButton

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_codevieweroptionsbase.h